package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.Algorithm;
import io.renren.modules.sys.entity.algs.AlgorithmModel;
import io.renren.modules.sys.entity.algs.Algorithm_Vo;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/6/10 20:31
 */
public interface AlgsService extends IService<Algorithm> {
    PageUtils queryPageOnUse(Map<String, Object> params);

    void deleteBatch(Long[] tmpIds);

    Long querycategoryId(Long tmpId);

    void update(Algorithm alg);

    Algorithm selectByAlgName(String algorithmName);

    List<Algorithm_Vo> selectOnCreateMission(Map<String, Object> params);
}
